import { Controller, Get, Param } from '@nestjs/common'
import { UsersService } from './users.service'
import { ApiOkResponse } from '@nestjs/swagger'
import { UserEntity } from './entities/user.entity'

@Controller('users')
export class UsersController {
  constructor(private readonly usersService: UsersService) {}

  @Get()
  @ApiOkResponse({ type: UserEntity, isArray: true })
  findAll() {
    return this.usersService.findAll()
  }

  @Get(':id')
  @ApiOkResponse({ type: UserEntity })
  findOne(@Param('id') id: string) {
    return this.usersService.findOne(+id)
  }
}
